%define evo_ver 2.10
%define camel_provider_dir evolution-data-server-1.2/camel-providers
%define eds_api_version 1.2
%define eds_base_version 1.10

Name:		evolution-brutus
Version:	1.1.26.2
Release:	2%{?dist}
Summary:	Brutus based Exchange connector for Novell Evolution 2.4 and later

License:	GPL
Group:		Applications/Productivity
URL:		http://www.omesc.com/modules/xoopsfaq/index.php?cat_id=6
Source0:	http://www.omesc.com/content/downloads/dist/Rawhide/SOURCES/%{name}-%{version}.tar.gz
Patch0:		%{name}-eof.patch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:	ORBit2-devel >= 2.14.1
BuildRequires:	evolution-data-server-devel >= 1.6
BuildRequires:	intltool >= 0.30
BuildRequires:	libgcrypt-devel >= 1.2.2
BuildRequires:	evolution-devel
BuildRequires:	e2fsprogs-devel
BuildRequires:	gettext

Requires:	libIDL >= 0.8.5
Requires:	evolution


%description
This is the Brutus Connector for Microsoft Exchange, which 
adds support for Microsoft Exchange 5.5 and later to Novell 
Evolution 2.4 and later. It works by connecting Evolution
to a Brutus server which in turns connects Evolution to 
Exchange.

A Brutus server must be running on the Windows side if you 
want to use this plugin. Please see <http://www.omesc.com/> 
for the details.

You will need to install this package and evolution-brutus-devel if 
you want to write programs that use Brutus technology.


%package devel
Summary:          IDL and header files for evolution-brutus
Group:            Development/Libraries
Requires:         %{name} = %{version}-%{release}
Requires:         pkgconfig >= 0.20
Requires:	  evolution-data-server-devel >= 1.6


%description devel 
This is the Brutus Connector for Microsoft Exchange, which 
adds support for Microsoft Exchange 5.5 and later to Novell 
Evolution 2.4 and later.

This package contains the header files, libraries and utilities
necessary to write Brutus client programs.


%prep
%setup -q
%patch0 -p1 -b .eof

%build
%configure				\
	--enable-brutus-target=fedora	\
	--enable-brutus-dist=yes	\
	--enable-brutus-debug=no 	\
	--enable-brutus-devel=yes	\
	--enable-brutus-spy=no
make %{?_smp_mflags}


%install 
rm -rf %{buildroot}
make INSTALL="install -c -p" DESTDIR=%{buildroot} install
find %{buildroot} -name '*.la' -exec rm -f {} ';'
# Don't bother to pack unnecessary docs.
rm -rf %{buildroot}%{_datadir}/doc/%{name}-devel-%{version}/

%{find_lang} %{name}-%{evo_ver}


%clean 
rm -rf %{buildroot}


%post -p /sbin/ldconfig


%postun -p /sbin/ldconfig


%files -f %{name}-%{evo_ver}.lang
%defattr(-,root,root,-)
%doc COPYING README docs/using_evolution-brutus
%{_bindir}/brutusd
%{_bindir}/brutus-keyringd
%{_bindir}/brutus-keyring-client
%{_libexecdir}/brutus-query-password
%{_libdir}/%{camel_provider_dir}/*
%{_libdir}/libBrutus*.so.*
%{_libdir}/evolution-data-server-%{eds_api_version}/extensions/*


%files devel
%defattr(-,root,root,-)
%{_includedir}/evolution-data-server-%{eds_base_version}/brutus/
%{_includedir}/brutusd-1.0/
%{_includedir}/brutus-keyringd-1.0/
%{_libdir}/libBrutus*.so
%{_libdir}/pkgconfig/libBrutus*
%{_datadir}/idl/brutus/


%changelog
* Wed May  2 2007 Brian Pepple <bpepple@fedoraproject.org> - 1.1.26.2-2
- Add patch to fix eof ppc error.

* Tue May  1 2007 Brian Pepple <bpepple@fedoraproject.org> - 1.1.26.2-1
- Update to 1.1.26.2.
- Drop patch to fix build on x86_64, fixed upstream.

* Fri Apr 27 2007 Brian Pepple <bpepple@fedoraproject.org> - 1.1.26.0-2
- add patch to build on x86_64.
- Minor formatting changes.

* Fri Apr 27 2007 Brian Pepple <bpepple@fedoraproject.org> - 1.1.26.0-1
- Update to 1.1.26.0.
- Drop BR on gpgme-devel, and add BR on libgcrypt-devel.

* Wed Apr 25 2007 Brian Pepple <bpepple@fedoraproject.org> - 1.1.25.9-3
- Remove unnecessary requires for devel subpackage.

* Tue Apr 24 2007 Brian Pepple <bpepple@fedoraproject.org> - 1.1.25.9-2
- Drop license in header, since it's not really necessary.
- Minor formatting changes.
- Remove unnecessary Requires, that are brought in by devel sonames.
- Don't package unnecessary docs.
- Use %%doc macro.

* Sat Apr 14 2007 Jules Colding <colding@omesc.com> 1.1.25-9
- Added brutus-keyring related files and directories to this spec

* Thu Apr 12 2007 Jules Colding <colding@omesc.com> 1.1.25-4
- Fixed several Fedora review issues:
  a) Fixed duplicate CFLAGS due to an error in configure.in
  b) Removed redundant inclused from *.pc.in files
  c) Corrected Source0 to point at the right source tar-ball
- Stopped using gnome-keyring. Integrated with the new
  brutus-keyring instead.

* Thu Mar 29 2007 Jules Colding <colding@omesc.com> 1.1.25-3
- Fixed OpenSUSE 10.2 and Rawhide build issues

* Fri Feb 9 2007 Jules Colding <colding@omesc.com> 1.1.24-2
- German translation contributed by Daniel Paessler
- Logon issues fixed
- Makefile cleanups
- Small documentation improvements

* Fri Dec 1 2006 Jules Colding <colding@omesc.com> 1.1.22-1
- Implement offline mode for access to folders and messages
- Fix a segv in the password query helper application

* Tue Nov 14 2006 Jules Colding <colding@omesc.com> 1.1.15-1
- Fix retrieval of summary information for large MAPI folders

* Tue Nov 7 2006 Jules Colding <colding@omesc.com> 1.1.14-1
- Fix typo in libBrutus.pc.in
- Cleanup configure.in
- Fix handling of passwords with trailing whitespace in 
  brutus-query-password

* Tue Nov 7 2006 Jules Colding <colding@omesc.com> 1.1.13-1
- Fix 'non-weak-symbols' warnings from rpmlint on libBrutus

* Mon Nov 6 2006 Jules Colding <colding@omesc.com> 1.1.12-1
-* Sat Apr 14 2007 Jules Colding <colding@omesc.com> 1.1.25-9
- Added brutus-keyring related files and directories to this spec

* Sat Nov 4 2006 Jules Colding <colding@omesc.com> 1.1.11-1
- Remove non-devel files from non-devel package
- configure.in cleanups

* Sat Nov 4 2006 Jules Colding <colding@omesc.com> 1.1.10-1
- Update the Brutus Server version requirement - now at 0.9.32.x
- Remove libglade2-devel from BuildRequires 
- Remove unneeded Requires from devel package
- Fix bad keyring password retrieval bug
- Fix nonsense in libBrutus-1.0.pc.in

* Fri Nov 3 2006 Jules Colding <colding@omesc.com> 1.1.9-1
- Added 'define's to specify version dependent directories or 
  files. These defines are automatically set to their correct 
  values when autogen.sh is executed.
- configure.in cleaned up
- I'm now releasing a new source tar-ball whenever the source 
  is changed in any way. This means that changes from, say, 1.1.9-1
  to 1.1.9-2 is only happening if a patch is applied on top of 
  the original tar-ball. This probably won't happen as long as 
  I'm the primary packager as I would prefer to just release a 
  new upstream tar-ball instead of distributing a patch.
- Changes related to how the Ubuntu debs are created made it
  easier for me to explicitly install the docs instead of 
  relying on the doc macro.
- Added evolution-devel to BuildRequires

* Mon Oct 30 2006 Jules Colding <colding@omesc.com> 1.1.7-3
- Fix error regarding hardcoded path for camel-providers
- Fix warning for non-weak symbol in libBrutusd
- Remove gnome-common for "Requires"
- Fix version handling of locale files
- Rewmove claim of ownership for /usr/share/idl
- Fix all .pc.in files that contained unresolved autoconf variables
- Remove IDL_INCLUDES from all .pc.in files

* Thu Oct 27 2006 Jules Colding <colding@omesc.com> 1.1.7-2
- Fix doc in devel package
- Remove an additional changelog that had crept in 
- The changes referred to in the entry below is a range of
  updates and fixes to "configure.in".
- Fix ownership of datadir/idl
- Remove unneeded AutoReq
- Fix devel "Requires:"
- Update description
- Pointed "URL" to the FAQ entry for evolution-brutus

* Thu Oct 19 2006 Jules Colding <colding@omesc.com> 1.1.7-1
- Enough changes accumulated while working on Ubuntu edgy that 
  a new release was in order.

* Mon Oct 9 2006 Jules Colding <colding@omesc.com> 1.1.6-12
- Rebuild for Brutus Server 0.9.31

* Tue Sep 19 2006 Jules Colding <colding@omesc.com> 1.1.6-11
- Rebuild

* Wed Sep 13 2006 Jules Colding <colding@omesc.com> 1.1.6-10
- Fix ownership of yet another directory created by this package
- Add automatic detection of Evolution version

* Tue Sep 12 2006 Jules Colding <colding@omesc.com> 1.1.6-9
- Preserving timestamps of installed files
- Fix ownership of directories created by this package

* Fri Sep 8 2006 Jules Colding <colding@omesc.com> 1.1.6-8
- Consistently use the buildroot macro instead of RPM_BUILD_ROOT

* Thu Sep 7 2006 Jules Colding <colding@omesc.com> 1.1.6-7
- Enabled Autoreq

* Thu Sep 7 2006 Jules Colding <colding@omesc.com> 1.1.6-6
- Replace autogenerated e-d-s base version requirement with 
  minimum e-d-s base version requirement

* Wed Sep 6 2006 Jules Colding <colding@omesc.com> 1.1.6-5
- Fix Fedora Core 6 Test 2 build issues

* Tue Sep 5 2006 Jules Colding <colding@omesc.com> 1.1.6-4
- Remove libtool archive files from install

* Tue Sep 5 2006 Jules Colding <colding@omesc.com> 1.1.6-4
- Replace makeinstall macro with recommended make command

* Wed Aug 23 2006 Jules Colding <colding@omesc.com> 1.1.6-2
- rpmlint warnings fixed

* Tue Aug 22 2006 Jules Colding <colding@omesc.com> 1.1.6-1
- Submitted for review and inclusion in Fedora Extras

* Tue Jan 31 2006 Jules Colding <colding@omesc.com> 0.9.3-1
- Initial RPM release

